Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface EnvEntryType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  EnvEntryTypeImpl

    public interface EnvEntryType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `env-entryType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getEnvEntryName()` Returns the `env-entry-name` element
`EnvEntryTypeValuesType` | `getEnvEntryType()` Returns the `env-entry-type` element
`java.lang.String` | `getEnvEntryTypeAsString()` Returns the `env-entry-type` element
`java.lang.String` | `getEnvEntryValue()` Returns the `env-entry-value` element
`java.util.List<InjectionTargetType<EnvEntryType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`EnvEntryType<T>` | `ignoreDependency()`
`InjectionTargetType<EnvEntryType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`EnvEntryType<T>` | `removeAllDescription()` Removes the `description` element
`EnvEntryType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`EnvEntryType<T>` | `removeEnvEntryName()` Removes the `env-entry-name` element
`EnvEntryType<T>` | `removeEnvEntryValue()` Removes the `env-entry-value` element
`EnvEntryType<T>` | `removeJndiName()` Removes the `jndi-name` element
`EnvEntryType<T>` | `removeMappedName()` Removes the `mapped-name` element
`EnvEntryType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EnvEntryType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EnvEntryType<T>` | `setEnvEntryName(java.lang.String envEntryName)` If not already created, a new `env-entry-name` element with the given value will be created.
`EnvEntryType<T>` | `setEnvEntryType(EnvEntryTypeValuesType envEntryType)` If not already created, a new `env-entry-type` element with the given value will be created.
`EnvEntryType<T>` | `setEnvEntryType(java.lang.String envEntryType)` If not already created, a new `env-entry-type` element with the given value will be created.
`EnvEntryType<T>` | `setEnvEntryValue(java.lang.String envEntryValue)` If not already created, a new `env-entry-value` element with the given value will be created.
`EnvEntryType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`EnvEntryType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setJndiName

    EnvEntryType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `EnvEntryType`

### removeJndiName

    EnvEntryType<T> removeJndiName()

  Removes the `jndi-name` element

  Returns:
    the current instance of `EnvEntryType`

### getJndiName

    java.lang.String getJndiName()

  Returns the `jndi-name` element

  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    EnvEntryType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `EnvEntryType`

### removeMappedName

    EnvEntryType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `EnvEntryType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    EnvEntryType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `EnvEntryType`

### injectionTarget

    InjectionTargetType<EnvEntryType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<EnvEntryType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

### ignoreDependency

    EnvEntryType<T> ignoreDependency()

### isIgnoreDependency

    java.lang.Boolean isIgnoreDependency()

### setDescription

    EnvEntryType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `EnvEntryType`

### setDescriptionList

    EnvEntryType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EnvEntryType`

### removeAllDescription

    EnvEntryType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `EnvEntryType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setEnvEntryName

    EnvEntryType<T> setEnvEntryName(java.lang.String envEntryName)

  If not already created, a new `env-entry-name` element with the given value will be created. Otherwise, the existing `env-entry-name` element will be updated with the given value.

  Returns:
    the current instance of `EnvEntryType`

### removeEnvEntryName

    EnvEntryType<T> removeEnvEntryName()

  Removes the `env-entry-name` element

  Returns:
    the current instance of `EnvEntryType`

### getEnvEntryName

    java.lang.String getEnvEntryName()

  Returns the `env-entry-name` element

  Returns:
    the node defined for the element `env-entry-name`

### setEnvEntryType

    EnvEntryType<T> setEnvEntryType(EnvEntryTypeValuesType envEntryType)

  If not already created, a new `env-entry-type` element with the given value will be created. Otherwise, the existing `env-entry-type` element will be updated with the given value.

  Returns:
    the current instance of `EnvEntryType`

### setEnvEntryType

    EnvEntryType<T> setEnvEntryType(java.lang.String envEntryType)

  If not already created, a new `env-entry-type` element with the given value will be created. Otherwise, the existing `env-entry-type` element will be updated with the given value.

  Returns:
    the current instance of `EnvEntryType`

### getEnvEntryType

    EnvEntryTypeValuesType getEnvEntryType()

  Returns the `env-entry-type` element

  Returns:
    the node defined for the element `env-entry-type`

### getEnvEntryTypeAsString

    java.lang.String getEnvEntryTypeAsString()

  Returns the `env-entry-type` element

  Returns:
    the node defined for the element `env-entry-type`

### setEnvEntryValue

    EnvEntryType<T> setEnvEntryValue(java.lang.String envEntryValue)

  If not already created, a new `env-entry-value` element with the given value will be created. Otherwise, the existing `env-entry-value` element will be updated with the given value.

  Returns:
    the current instance of `EnvEntryType`

### removeEnvEntryValue

    EnvEntryType<T> removeEnvEntryValue()

  Removes the `env-entry-value` element

  Returns:
    the current instance of `EnvEntryType`

### getEnvEntryValue

    java.lang.String getEnvEntryValue()

  Returns the `env-entry-value` element

  Returns:
    the node defined for the element `env-entry-value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD